"use strict";

new Vue({
  el: "#app",
  data: {
    basic: basic,//基本数据 包含四十五项分类
    defaultData: defaultData,//页面数据
    clearShow: false,//是否显示清空图标
    createImageDialog: false,
    minorData: [],//所有订单数据
    tempData: {},//临时的过渡数据
    registerNotice: false,
    searchDataArr: [],
    searchDataIndex: '',
    orderStatus: '',
    applyerList: [], //申请人列表
    bigimgDialog: false, //大图预览
    ProxyImgLoading: false,
    image1fileLoading: false,
    image2fileLoading: false,
    detailList: $.extend(true, {}, TMDATA), //45项分类 小类商标详细数据
    activeIndex: '',
    searchList: [], //当前搜索列表
    placeholderText: '请填写您的商标名称',
    applyerName: '',
    replaceDialog: false,
    replaceLoading: false,
    applyerTotal: 1,
    applyerCurrent: 1,
    form: {
      tradeType: 1,
      applyer: '', //申请人
      name: '', //商标名
      info: '', //商标说明
      isColored: '1',
      font: 'wqywmht',
      blackWhite: '', //黑白
      color: '', //着色
      ProxyImg: '', //委托书
      image1file: '', //黑白图样
      image2file: '' //黑白图样
    },
    formCls: {
      keywords: ''
    },
    rules: {
      name: [{
        required: true,
        message: '请输入商标名称',
        trigger: 'blur'
      }]
    },
    // 查看大图
    dialogCommon: {
      title: "",
      img: ''
    },
    restaurants: [],
    choiceType: '1', //自主选择/智能推荐.
    formSelect: {
      parentID: '',
      industry: '',
    },
    formSearch: {
      select: '',
      keywords: ''
    },
    replaceForm: {
      keyword: '',
      type: '0'
    },
    activeNames: "",
    // 此处仅为数组映射 映射元数据中的键值对···
    orderList: {
      // '01': {
      //     "item": {
      //         "0101": {
      //             item: [
      //                 ["010039", "碱土金属"],
      //                 ["010039", "碱土金属"],
      //             ]
      //         }
      //     }
      // }
    },
    activeObj: {},
    orderActiveNames: [],
    orderNum: 0,
    hightClass: [],
    addValue: '',
    protocol: true,
    // 智能推荐
    quickData: QUICK,
    quickIndex: '',
    showTipsError: '',
    pay: '',
    agreePactDialog: false,
    orderPrice: 0,
    submitLoading: false,
    goodList: [],
    goodIndex: 0,
    nowGood: '',
    history: [], //历史记录
    isCard: defaultData.isCard,
    records: {}, //优惠券
    ticket: '' //选中的优惠券
  },
  created: function created() {
    var _this = this
    setTimeout(function () {
      _this.basic = basic
      // 获取历史记录
      if (_this.basic.userID != 0) {
        _this.getApplyer('first');
        _this.getHistory(_this.activeIndex);
        // 判断是否显示优惠券
        if (_this.isCard == 1) {
          _this.getCoupons();
        }
      }
    }, 1);
    // 判断是否是担保注册
    if (location.pathname.indexOf('danbao') != -1) {
      this.addValue = 'zhucedb';
    }
  },

  watch: {
    /**
     * 选择担保注册更新价格
     * @param {*} newValue
     * @param {*} oldValue
     */
    addValue: function (newValue, oldValue) {
      if (newValue == 'zhucedb') {
        this.defaultData.productType = 'zhucedb';
        this.defaultData.basePrice = this.defaultData.zhucedbBasePrice;
        this.defaultData.beyondPrice = this.defaultData.zhucedbBeyondPrice;
      } else {
        this.defaultData.productType = 'zhuce';
        this.defaultData.basePrice = this.defaultData.zhuceBasePrice;
        this.defaultData.beyondPrice = this.defaultData.zhuceBeyondPrice;
      }
      if (this.isCard == 1) {
        this.ticket = '';
        this.getCoupons();
      }
      // 价格要重新计算
      this.updatePrice()
    },
    showTipsError: function (newValue) {
      var that = this;
      if (newValue) {
        setTimeout(function () {
          that.showTipsError = '';
        }, 2000);
      }
    },
  },

  methods: {
    currentChange: function (val) {
      this.applyerCurrent = val
      this.getApplyer()
    },
    replaceSelect: function (v) {
      this.applyerName = v.name
      this.form.applyer = v.id
      this.replaceDialog = false
    },
    replaceApplyer: function () {
      // 获取商标申请人
      this.applyerTotal = 1
      this.applyerCurrent = 1
      this.replaceForm.keyword = ''
      this.replaceForm.status = '0'
      this.replaceDialog = true
      this.getApplyer();
    },
    kefuClick: function () {
      var qq = this.defaultData.kefu.qq
      var qqUrl = ''
      // 如果未登录，使用basic.qqUrl
      if (!this.isLogin || !qq) {
        qqUrl = basic.qqUrl
      } else {
        qqUrl = 'http://wpa.qq.com/msgrd?v=3&uin=' + qq + '&site=qq&menu=yes'
      }
      window.open(qqUrl)
    },
    // 全类选择 TODO 好像还不能写死
    selectAll: function () {
      this.formSelect.parentID = 57
      this.formSelect.industry = 58
      this.batchClick()
    },
    tradeTypeChange: function (val) {
      if (val == 1) {
        this.form.name = '';
        this.placeholderText = '请填写您的商标名称';
      } else if (val == 2) {
        this.form.name = '图形';
        this.placeholderText = '请填写您的商标名称';
      } else if (val == 3) {
        this.form.name = '';
        this.placeholderText = '请填写商标的文字部分';
      }
    },
    // 计算优惠券
    countTicket: function () {
      if (this.orderNum == 0) {
        this.ticket = '';
        this.$alert('请先选择产品', '系统提示', {
          type: 'error'
        });
        return false
      }
      if (this.orderNum > 1) {
        return false
      }
      // 只有一笔订单的时候
      // 计算优惠券
      var that = this;
      var ticket = that.ticket;
      var orderPrice = that.orderPrice; //订单总价
      var recordList = that.records; //优惠券列表

      if (!ticket || !recordList.hasOwnProperty(ticket)) {
        return false;
      }

      var limit = recordList[ticket]['condition']; //满减
      var offerValue = Number(recordList[ticket]['value']); //优惠金额
      if (orderPrice < limit) {
        that.$alert('不满足优惠券使用条件', '系统提示', {
          type: 'error'
        });
      } else {
        orderPrice -= offerValue;
        that.orderPrice = orderPrice < 0 ? 0 : orderPrice;
      }
    },

    // 获取优惠券
    getCoupons: function (param) {
      var that = this;
      $.post("/trademark/get_tm_record", {
        remindinfo: that.defaultData.productType
      }, function (res) {
        if (res.result) {
          that.records = res.data.records;
        }
      }, "JSON");
    },
    // 下载委托书
    downloadCommission: function (param) {
      var that = this;
      var data = {
        name: that.form.name,
        applyerid: that.form.applyer
      };
      var api = '/Home/Trademark/delegationfile';
      $.get(api, data, function (res) {
        var res = res;
        if (res.result) {
          that.$alert(res.text, '系统提示', {
            type: 'success',
            confirmButtonText: '立即下载委托书'
          }).then(function (param) {
            window.open(res.data.url);
          });
        } else {
          that.$alert(res.text, '系统提示', {
            type: 'error',
            confirmButtonText: '确定'
          });
        }
      }, "JSON");
    },
    // 获取历史记录
    getHistory: function (id) {
      var that = this;
      $.get("/user/TmOrder/LoadHistory?cls=" + id, function (res) {
        if (res.data) {
          that.history = res.data;
        } else {
          that.history = [];
        }
      }, "JSON");
    },
    // 加载历史记录
    loadHistory: function (param) {
      if (param.goods.indexOf('&nbsp;') != -1) {
        var data = param.goods.split('&nbsp;');
        for (var index = 0; index < data.length; index++) {
          var item = data[index].split('`');
          // 比对文字,有的产品没有编号
          this.classClick(item[0], item[1], item[2], item[3]);
        }
      } else {
        var item = param.goods.split('`');
        // 比对文字,有的产品没有编号
        this.classClick(item[0], item[1], item[2], item[3]);
      }
    },
    // 获取商标申请人
    getApplyer: function (first) {
      var that = this;
      that.replaceLoading = true
      console.log('get :', 'getApplyer');
      $.post("/trademark/trademark_applyer", {
        page: that.applyerCurrent,
        keyword: that.replaceForm.keyword,
        type: that.replaceForm.type ? that.replaceForm.type : ''
      }, function (res) {
        that.replaceLoading = false
        var res = res;
        if (res.result) {
          var data = res.data;
          // for (var index = 0; index < data.length; index++) {
          //   var item = data[index];
          //   var nationality = '';
          //   var type = '';
          //   if (item.nationality == 1) {
          //     nationality = '中国大陆';
          //   } else if (item.nationality == 2) {
          //     nationality = '国外';
          //   } else if (item.nationality == 3) {
          //     nationality = '中国台湾';
          //   } else if (item.nationality == 4) {
          //     nationality = '中国香港';
          //   } else if (item.nationality == 5) {
          //     nationality = '中国澳门';
          //   }
          //   if (item.type == 1) {
          //     type = '企业单位';
          //   } else if (item.type == 2) {
          //     type = '自然人';
          //   }
          //   item['label'] = item.id + '-' + item.name + '[' + nationality + '-' + type + ']';
          // }
          if (data.list.length > 0) {
            that.applyerList = data.list;
            that.applyerTotal = data.total
            if (typeof first == 'string') {
              that.form.applyer = data.list[0]['id']
              that.applyerName = data.list[0]['name']
            }
          } else {
            that.applyerList = data.list;
            that.applyerTotal = 1
            that.form.applyer = ''
            that.applyerName = ''
          }
        } else {
          that.applyerList = [];
          that.applyerTotal = 1
          that.replaceLoading = false
          // that.$message.error(res.text);
        }
      }, "JSON");
    },
    // 去除数组中的空数据
    notempty: function (data) {
      var arr = [];
      data.map(function (val, index) {
        //过滤规则为，数组元素为真，排除undefined null "" " "
        if (val) {
          arr.push(val);
        }
      });
      return arr;
    },
    // 快速添加
    // 2019年6月14日11:16:11 简单测试未发现问题
    // 2019年10月17日11:52:14 限定一个
    quickAdd: function () {
      var value = this.searchDataIndex ? this.searchDataIndex : this.formSearch.keywords;
      if (!value) {
        this.showTipsError = '请输入商品名或者申请号';
        return false;
      }
      if (value.indexOf(' ') != -1) {
        this.searchDataArr = this.notempty(value.split(' ')).reverse();
        this.searchDataIndex = this.searchDataArr.pop()
        value = this.searchDataIndex
      }
      // 查找目录
      var list = this.detailList;
      var flag = false;
      for (var key in list) {
        if (list.hasOwnProperty(key)) {
          var list2 = list[key]['item'];
          for (var key2 in list2) {
            if (list2.hasOwnProperty(key2)) {
              var list3 = list2[key2]['item'];
              for (var index = 0; index < list3.length; index++) {
                var element = list3[index];
                if (element.indexOf(value) != -1) {
                  this.classClick(key, key2, element[0], element[1]);
                  flag = true;
                  break;
                }
              }
              if (flag) break;
            }
          }
          if (flag) break;
        }
      }
      // 如果没有 直接停止添加
      if (!flag) {
        this.searchDataArr = [];
        this.searchDataIndex = '';
        this.showTipsError = '无 ' + value + ' 对应商品或服务';
        return false
      }
      if (this.searchDataArr.length == 0) {
        this.searchDataArr = [];
        this.searchDataIndex = '';
      } else {
        this.searchDataIndex = this.searchDataArr.pop()
        this.quickAdd()
        return false;
      }
      if (!flag) {
        this.showTipsError = '无 ' + value + ' 对应商品或服务';
      } else {
        this.showTipsError = '添加成功';
        this.formSearch.keywords = ''; //添加成功后清空
        this.searchDataArr = [];
        this.searchDataIndex = '';
      }
    },
    // 转化base64 数据
    get: function (param) {
      // 商标信息 38`3801``按次付费电视传送服务 base64转码
      var data = this.orderList;
      var result = [];
      for (var key in data) {
        if (data.hasOwnProperty(key)) {
          var data2 = data[key]['item'];
          var arr = [];
          for (var key2 in data2) {
            if (data2.hasOwnProperty(key2)) {
              var data3 = data2[key2]['item'];
              for (var index = 0; index < data3.length; index++) {
                var data4 = data3[index];
                var str = '';
                str = key + '`' + key2 + '`' + data4[0] + '`' + data4[1];
                arr.push(str);
              }
            }
          }
          result.push(originBase64.encode(arr.join('&nbsp;')));
        }
      }
      return result;
    },

    axiosCallback: function (param) {
      this.submitLoading = true;
      var axiosApi = this.defaultData.saveApi;
      var that = this;
      if (that.goodIndex > that.goodList.length - 1) {
        that.submitLoading = false;
        if (param) {
          this.$alert('商标订单付款成功，请等待审核', '系统提示', {
            type: 'success'
          }).then(function (param) {
            window.location = "/user/tmManage";
          });
        } else {
          if (that.orderStatus === '余额不足') {
            that.orderStatus = '';
            that.$alert('账户余额不足，请<a href="/user/payment/" class="backstage_pay" target="_blank" style="color:#3399dd;margin: 0;">充值</a>后再提交审核', '系统提示', {
              type: 'error',
              confirmButtonText: '查看订单',
              dangerouslyUseHTMLString: true
            }).then(function () {
              window.location.href = '/user/tmManage';
            });
          } else {
            this.$alert('商标订单保存成功，请及时提交审核', '系统提示', {
              type: 'success'
            }).then(function () {
              window.location = "/user/tmManage";
            });
          }
        }
        return false;
      }
      // 严格比对原来的参数 之前提交的整个表单  15个参数
      // 提交审核付款 必须上传代理委托书
      // 必须选择商标产品
      var data = {};
      // applyerid: 36,
      // name: '商标名称',
      // explanation: '商标说明',
      // producttype: 'zhuce', //注册类型
      // iscolored: '1', //黑白1 着色2
      // image1file: '/Uploads/tmorders/5d01bba758dc2.jpg',
      // image2file: '', //着色图样
      // delegationfile: '/Uploads/tmorders/5d01bbbee0103.jpg', //委托书
      // 商标信息 38`3801``按次付费电视传送服务 base64转码
      // goodsnamearray: 'MzhgMzgwMWBg5oyJ5qyh5LuY6LS555S16KeG5Lyg6YCB5pyN5Yqh',
      // pay: 'no', // 保存--no   提交审核并付款--yes
      // // ProxyImg:'',//委托书 没有地方用到
      // // sortName:'',//查询关键词 不需要提交
      // addValue: '', //是否选择增值服务 ''/kuaisushenhe
      // record: '', //优惠券
      // readyxy_bm: 'on', //是否同意协议

      // orderList 数据结构
      // '01': {
      //     "item": {
      //         "0101": {
      //             item: [
      //                 ["010039", "碱土金属"],
      //                 ["010039", "碱土金属"],
      //             ]
      //         }
      //     }
      // }
      data.applyerid = this.form.applyer;
      data.name = this.form.name;
      data.explanation = this.form.info;
      data.producttype = this.defaultData.productType; //必须要传
      data.iscolored = this.form.isColored;
      // 黑白图样和着色图样合并
      data.image1file = data.iscolored == 1 ? this.form.image1file : this.form.image2file;
      // data.image2file = this.form.image2file

      data.delegationfile = this.form.ProxyImg;
      if (this.addValue == 'kuaisushenhe') {
        data.addValue = this.addValue;
      }

      data.readyxy_bm = this.protocol ? 'on' : '';

      data.pay = param ? 'yes' : 'no'; //保存还是提交审核并付款
      // 这是一个数组 分次提交
      data.goodsnamearray = that.goodList[that.goodIndex];

      if (that.orderNum == 1) {
        data.record = this.ticket;
      } else {
        data.record = '';
      }
      $.post(axiosApi, data, function (res) {
        if (res.result) {
          if (that.goodIndex < that.goodList.length) {
            that.goodIndex++;
            that.axiosCallback(param);
          } else {
            that.submitLoading = false;
          }
        } else {
          that.submitLoading = false;
          // 余额不足自动保存订单
          if (res.text.indexOf('余额不足') != -1) {
            that.orderStatus = '余额不足';
            that.axiosCallback(false);
            // that.$alert(res.text, '系统提示', {
            //     type: 'error',
            //     confirmButtonText: '查看订单',
            //     dangerouslyUseHTMLString: true,
            // }).then(function() {
            //     window.location.href = '/user/tmManage'
            // })
          } else {
            that.$alert(res.text, '系统提示', {
              type: 'error',
              dangerouslyUseHTMLString: true
            });
          }
        }
      }, "JSON");
    },
    isInputAll: function (str) {
      var strSource = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789,./\?;:'!<>{}[]+《》、-()&%*＇@，。（）~ -：.·’“”#°";
      var ch;
      var i;
      var temp;
      var flag = true;
      if (str.length === 0) {
        flag = true;
        return flag
      }
      // 判断特殊字符
      for (i = 0; i <= (str.length); i++) {
        ch = str.charAt(i);
        temp = strSource.indexOf(ch);
        if (ch != ' ' && temp == -1) {
            // 再加一层中文验证
            var reg = new RegExp("[\\u4E00-\\u9FFF]+", "g");
            if (!reg.test(ch)) {
              flag = false;
              break
            }
        }
      }
      return flag;
    },
    // 提交表单
    ajaxSubmitForm: function (param) {
      if (!this.protocol) {
        this.$alert('请先勾选商标注册协议', '系统提示', {
          type: 'error'
        });
        return false;
      }
      var that = this;
      that.goodList = that.get();
      that.goodIndex = 0;
      if (that.goodList.length < 1) {
        this.$alert('请选择要注册的商品或服务', '系统提示', {
          type: 'error'
        });
        return false;
      }
      if (!this.isInputAll(this.form.name)) {
        this.$alert('商标名称内不允许含有特殊字符。特殊字符含义：除英文、汉字及常用标点符号数字之外的所有字符', '系统提示', {
          type: 'error'
        });
        return false;
      }
      if (!this.isInputAll(this.form.info)) {
        this.$alert('商标说明内不允许含有特殊字符。特殊字符含义：除英文、汉字及常用标点符号数字之外的所有字符', '系统提示', {
          type: 'error'
        });
        return false;
      }
      if (param) {
        that.$confirm('商标顾问在资料审核过程中您将无法修改订单信息，请确认资料是否正确？', '商标注册提示', {
          type: 'info',
          confirmButtonText: '提交审核并付款'
        }).then(function () {
          that.axiosCallback(param);
        });
      } else {
        that.$confirm('确定保存商标信息？', '商标注册提示', {
          type: 'info',
          confirmButtonText: '保存'
        }).then(function () {
          that.axiosCallback(param);
        });
      }
    },
    // 重置表单
    resetForm: function (params) {
      this.hightClass = [];
      this.detailList = $.extend(true, {}, TMDATA)
      this.searchList = {};
      this.minorData = []
      this.orderList = {}
      this.activeIndex = '';
      // 表单重置
      this.formCls.keywords = '';
      this.choiceType = '1';
      this.formSelect.parentID = ''
      this.formSelect.industry = ''

      this.updatePrice()
      this.$forceUpdate()

    },
    handleChange: function (val) {
    },
    /**
     * 删除指定标签
     * @param {*} one
     * @param {*} two
     * @param {*} name
     */
    deleteTag: function (one, two, three, four) {
      if (arguments.length == 1) {
        // 删除大类 删除该大类下所有selected
        delete this.orderList[one];
        var list = $.extend([], this.minorData)
        var list2 = $.extend([], this.minorData)
        for (var index = 0; index < list.length; index++) {
          var v = list[index].split('`');
          if (v[0] == one) {
            list2[index] = ''
          }
        }
        this.minorData = this.notempty(list2)
        if (this.activeIndex == one) {
          this.activeIndex = ''
        }
      } else {
        var arr = this.minorData
        var str = one + '`' + two + '`' + three + '`' + four
        var index = arr.indexOf(str)
        if (index != -1) {
          arr.splice(index, 1)
        }
        // orderList
        var list = $.extend(true, [], this.orderList[one]['item'][two]['item']);
        var origin = this.orderList[one]['item'][two]['item']
        for (var index = 0; index < list.length; index++) {
          var element = list[index];
          if (element[0] == three && element[1] == four) {
            this.orderList[one]['item'][two]['num']--
            origin[index] = ''
            this.orderList[one]['num']--
            break;
          }
        }
        this.orderList[one]['item'][two]['item'] = this.notempty(origin)
        if (this.orderList[one]['item'][two]['item'].length == 0) {
          delete this.orderList[one]['item'][two]
          if (Object.keys(this.orderList[one]['item']).length == 0) {
            delete this.orderList[one]
          }
        }
        if (this.activeIndex == one) {
          this.handleClassClick(this.activeIndex)
        }
      }
      this.updatePrice()
      // 删除了也要重新计算价格
    },
    // 选择45项分类
    handleClassClick: function (id) {
      // 拷贝对象
      var targetData = $.extend(true, {}, TMDATA[id])
      var data = this.orderList[id]
      // 遍历当前订单数据
      this.activeIndex = id;
      if (data) {
        var data2 = data.item
        for (var key2 in data2) {
          if (data2.hasOwnProperty(key2)) {
            var element = data2[key2];
            targetData['item'][key2]['num'] = element.num
          }
        }
      }
      this.searchList = targetData
      // 获取历史记录
      if (this.isLogin) {
        this.getHistory(id);
      }
    },
    /**
     * 父类 子类 数组
     * @param {String} one   大类
     * @param {String} two   子类
     * @param {String} three 小项编号
     * @param {String} four  小项名称
     */
    classClick: function (one, two, three, four) {
      // 存放小类数据、方便辨别
      var arr = this.minorData
      var str = one + '`' + two + '`' + three + '`' + four
      // 有重复的不计算
      if (arr.indexOf(str) != -1) {
        console.log('error:' + str)
        return false
      } else {
        arr.push(str)
      }
      var data = this.orderList;//直接操作订单数据
      // TODO 新的小类中必须存在对应的选项才可以选中
      if (!this.detailList[one] || !this.detailList[one]['item'][two]) {
        return false
      }
      if (!data[one]) {
        data[one] = {
          name: this.detailList[one].name,
          alias: this.detailList[one].alias,
          num: 0,// 01 大类下有多少已选 0102 用来计算价格和展示
          price: 0,
          item: {}
        }
      }

      if (!data[one]['item'][two]) {
        data[one]['item'][two] = {
          name: this.detailList[one]['item'][two].name,
          num: 0,// 0102下的已选小项数量 展示用
          item: []
        }
        // try {
        //   data[one]['item'][two] = {
        //     name: this.detailList[one]['item'][two].name,
        //     num: 0,// 0102下的已选小项数量 展示用
        //     item: []
        //   }
        // } catch (error) {
        //     console.log(this.detailList[one]['item'][two])          
        // }
      }
      // 前台要限制住 已经存在的禁止点击
      data[one]['item'][two]['item'].push([three, four])
      data[one]['item'][two].num += 1
      data[one].num += 1
      // 正常计算价格
      // this.orderPrice -= data[one].price;
      // 价格计算不对 10项以内一个价格 10项以外一个价格
      // data[one].price = this.countSinglePrice(data[one].num)
      // this.orderPrice += data[one].price
      this.orderActiveNames = Object.keys(this.orderList).sort()

      // 判断是否当前高亮分类 标记一下
      if (this.activeIndex == one) {
        this.searchList['item'][two]['num'] = data[one]['item'][two].num
      }

      this.updatePrice()
    },
    // 计算单笔订单价格 10项以内使用基本价格，超出10项 每项价格使用额外价格
    countSinglePrice: function (num) {
      var basePrice = this.defaultData.basePrice; //基本价格
      var beyondPrice = this.defaultData.beyondPrice; //超出每项价格
      if (num < 10) {
        return basePrice
      } else {
        var extra = (num - 10) * beyondPrice
        return basePrice + extra
      }
    },
    //更新价格
    updatePrice: function () {
      var data = this.orderList;//订单数据
      this.orderNum = Object.keys(this.orderList).length
      this.orderPrice = 0
      for (var key in data) {
        if (data.hasOwnProperty(key)) {
          data[key]['price'] = this.countSinglePrice(data[key]['num'])
          this.orderPrice += data[key]['price']
        }
      }
    },
    // 智能推荐 使用智能推荐需要清空之前的订单数据和小项数据
    batchClick: function () {
      this.minorData = []
      this.orderList = {}
      var targetData = []
      var parentID = this.formSelect.parentID
      var industry = this.formSelect.industry
      for (var index = 0; index < QUICK.length; index++) {
        var v = QUICK[index];
        if (v.id == parentID) {
          var v2 = v['items']
          for (var y = 0; y < v2.length; y++) {
            var v3 = v2[y]
            if (v3.id == industry) {
              targetData = v2[y]['items'];
              break;
            }
          }
          break
        }
      }
      for (var index = 0; index < targetData.length; index++) {
        var element = targetData[index];
        // ["09", "0902", "090478", "时间记录装置"] 不需要第三个编号
        this.classClick(element[0], element[1], element[2], element[3]);
      }
    },
    /**
     * 委托书上传成功回调函数
     * @param {*} params
     */
    ProxyImgSuccess: function (res) {
      this.ProxyImgLoading = false;
      if (res.result) {
        this.form.ProxyImg = res.url;
      } else {
        EP.error(res.text ? res.text : '图片上传失败')
        // this.$message({
        //   message: res.text ? res.text : '图片上传失败',
        //   type: 'error',
        // });
      }
    },
    ProxyImgProgress: function () {
      this.ProxyImgLoading = true;
    },
    dialogCommonImage: function (img, title) {
      this.dialogCommon.img = img;
      this.dialogCommon.title = title;
      this.bigimgDialog = true;
    },
    image1fileSuccess: function (res) {
      this.image1fileLoading = false;
      if (res.result) {
        this.form.image1file = res.url;
      } else {
        EP.error(res.text ? res.text : '图片上传失败')
        // this.$message({
        //   message: res.text ? res.text : '图片上传失败',
        //   type: 'error',
        // });
      }
    },
    image1fileProgress: function () {
      this.image1fileLoading = true;
    },
    image2fileSuccess: function (res) {
      this.image2fileLoading = false;
      if (res.result) {
        this.form.image2file = res.url;
      } else {
        EP.error(res.text ? res.text : '图片上传失败')
        // this.$message({
        //   message: res.text ? res.text : '图片上传失败',
        //   type: 'error',
        // });
      }
    },
    image2fileProgress: function () {
      this.image2fileLoading = true;
    },
    beforeAvatarUpload: function (file) {
      // this.imageFileName.push(file.name);
      var isJPG = file.type === 'image/jpg';
      var isJPEG = file.type === 'image/jpeg';
      // var isPNG = file.type === 'image/png';
      // var isBMP = file.type === 'image/bmp';
      var isLt2M = file.size / 1024 / 1024 < this.defaultData.uploadLimitSize;

      if (!isJPG && !isJPEG) {
        EP.error('上传图片必须是JPG或JPEG格式!')

        // this.$message({
        //   message: '上传图片必须是JPG或JPEG格式!',
        //   type: 'error',
        // });
      }
      // 大小限制去掉,由后台返回
      if (!isLt2M) {
        EP.error('上传图片大小不能超过 ' + this.defaultData.uploadLimitSize + 'MB!')

        // this.$message({
        //   message: '上传图片大小不能超过 ' + this.defaultData.uploadLimitSize + 'MB!',
        //   type: 'error',
        // });
      }
      return (isJPG || isJPEG) && isLt2M;
    },
    // 生成图样
    createTMImage: function () {
      var that = this;
      var name = this.form.name;
      if (!name) {
        EP.error('请填写商标名称')
        // this.$message({
        //   message: '请填写商标名称',
        //   type: 'error',
        // });
        return false;
      }
      this.createImageDialog = true;
      // this.$confirm('智能生成图样字体为“文泉驿微米黑”。如果您有设计要求，请点击上传黑白商标图样上传定稿图样。', '信息提示', {
      //   confirmButtonText: '立即生成'
      // }).then(function () {
      // });
    },
    createImageDialogSuccess: function () {
      var that = this;
      var name = this.form.name;
      var font = this.form.font;
      this.createImageDialog = false;
      $.get("/Home/Trademark/createimage", {
        font: font,
        name: name
      }, function (res) {
        if (res.result) {
          EP.success(res.text)
          // that.$message({
          //   message: res.text,
          //   type: 'success',
          //   duration: 1500
          // });
          that.form.image1file = res.data.url;
        } else {
          EP.error(res.text)

          // that.$message({
          //   message: res.text,
          //   type: 'error',
          //   duration: 1500
          // });
        }
      }, "JSON");
    },
    // 输入建议
    querySearch: function (queryString, cb) {
      var restaurants = this.restaurants;
      var results = queryString ? restaurants.filter(this.createFilter(queryString)) : restaurants;
      // 调用 callback 返回建议列表的数据
      cb(results);
    },
    createFilter: function (queryString) {
      return function (restaurant) {
        return restaurant.value.toLowerCase().indexOf(queryString.toLowerCase()) === 0;
      };
    },
    handleSelect: function (item) {
      this.hightClass = item.id.split(',');
    },
    // 选择商品类别
    searchKeywords: function () {
      var keywords = this.formCls.keywords;
      var list = this.detailList;
      this.activeIndex = ''
      var hightClass = [];
      if (!keywords) {
        this.showTipsError = '请输入需要查询的关键词';
        return false;
      }
      for (var key in list) {
        if (list.hasOwnProperty(key)) {
          var list2 = list[key]['item'];
          for (var key2 in list2) {
            if (list2.hasOwnProperty(key2)) {
              var list3 = list2[key2]['item'];
              for (var index = 0; index < list3.length; index++) {
                var element = list3[index];
                // 跳出本次循环
                if (element[1].indexOf(keywords) != -1) {
                  hightClass.push(key);
                  break;
                }
              }
            }
          }
        }
      }
      this.hightClass = hightClass;
      return false;
    },
  },
  mounted: function () {
    this.restaurants = sorted;
  },
  computed: {
    isLogin: function () {
      return this.basic.userID != 0 ? true : false
    },
    industryData: function () {
      var data = []
      if (this.formSelect.parentID) {
        for (var index = 0; index < QUICK.length; index++) {
          var v = QUICK[index];
          if (v['id'] == this.formSelect.parentID) {
            data = v['items']
            break
          }
        }
      }
      return data
    }

  },
});